diff options
author | Boris Kolpackov <boris@codesynthesis.com> | 2017-05-05 14:26:14 +0200 |
---|---|---|
committer | Boris Kolpackov <boris@codesynthesis.com> | 2017-05-05 14:26:14 +0200 |
commit | b22f2f86d4a7166b7098fc82944a198e6ad63748 (patch) | |
tree | 5e52471866323e253d3d53a07a24710ccc8273d6 /tag | |
parent | 56c433b914d65ccf9b9c53a78562452475353e8d (diff) |
Updates for 0.5.0 release0.5.0
Diffstat (limited to 'tag')
-rwxr-xr-x | tag | 45 |
1 files changed, 0 insertions, 45 deletions
@@ -1,45 +0,0 @@ -#! /usr/bin/env bash - -# Tag build2 distribution. -# -# Usage: tag [-t] -# -# -t -# Toolchain only. -# -usage="usage: $0 [-t]" - -owd=`pwd` -trap "{ cd $owd; exit 1; }" ERR -set -o errtrace # Trap in functions. - -function info () { echo "$*" 1>&2; } -function error () { info "$*"; exit 1; } - -toolchain="libbutl build2 libbpkg bpkg build2-toolchain" -extras="brep" - -while [ $# -gt 0 ]; do - case $1 in - -t) - extra= - shift - ;; - *) - error "unexpected $1" - ;; - esac -done - -tools="$toolchain $extras" - -for t in $tools; do - v=`cat $t/version` - if [ -z "$v" ]; then - error "unable to extract version from $t/version" - fi - git -C $t tag -a $v -m "Tag version $v" - info "tagged $t $v" -done - -info "remember to push" |